/***************************************************************************
 * CLASS:		ABInspector
 * PROGRAMMER:	Todd Thomas
 * DATE:		Dec 30, 1993
 *
 *	A new inspector was in order since the old Button inspector dealt with
 * attributes that mine did not, and some of the choices had adverse 
 * effects on the way that ArrowButton functioned. 
 *
 ***************************************************************************/

#import <appkit/appkit.h>
#import <apps/InterfaceBuilder.h>


@interface ABInspector : IBInspector
{
    id	optionMatrix;				// bordered, transparent, etc.	
    id	tagField;					// the tag
    id	titleField;					// title field
	id  altTitleField;				// altTitle field
	id  soundField;					// name of the sound
	id  alignButton;				// the button showing current alignment
}

- init;
- revert: sender;
- optionsChanged: sender;
- tagChanged: sender;
- titleChanged: sender;
- altTitleChanged: sender;
- soundChanged: sender;
- alignmentChanged: sender;
- (BOOL)wantsButtons;

@end
